/***************************************************************************
                          kwentry.h  -  description
                             -------------------
    begin                : ??? Dec 4 2007
    copyright            : (C) 2007 by Krasu
    email                : ksquirrel.iv@gmail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWENTRY_H
#define KWENTRY_H

#include <qstring.h>
#include <qobject.h>
#include <qvaluevector.h>

struct Entry;

class KWEntry : public QObject, public QValueVector<Entry>
{
    Q_OBJECT

    public: 
        KWEntry();
    	~KWEntry();

        void splitAndAdd(const QString &line);

        void unmark();

    signals:
        void added(const Entry &);

    private:
        bool searchEntry(const Entry &e);
};

#endif
